
/* --------------------------------------------------#
   Copyright 1992 Don McGregor
   You may freely use this code in any way you wish.
   however, you may not charge any money for the use
   of it.
   
   No warranty of any kind, etc, etc.
 --------------------------------------------------#*/

#import "GeneralForm.h"
#import <objc/List.h>

@implementation GeneralForm



-initFrame:(const NXRect*)frameRect
{
  /*---------------------------------------------------------------
      Over ride of designated initializer to reset the cell type
      to what we want, rather than the FormCell thing,
      which allows only a few data types.
      
      Also initially create Form with two entries.
  -----------------------------------------------------------------*/
  id		proto;

   [super initFrame:frameRect];
   
   proto = [[GeneralFormCell alloc] init];
   [[self setPrototype:proto] free];
   
   [self addEntry:"Field1:"];
   [self addEntry:"Field2:"];
   
   return self;
}

-(const char *)inspectorName
{
  /*-----------------------------------------------------------------
     Returns the name of the Form's inspector for IB
    -----------------------------------------------------------------*/
  
  return "GeneralFormInspector";
}


@end
